Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0014639
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2010-09-21 19:052012-05-25 12:07
ReporternetworkbView Statuspublic 
Assigned Tonaiaramartinez 
PriorityurgentResolutionfixedFixed in Version3.0MP12
StatusclosedFix in branchpiFixed in SCM revision40307f9cd8c7
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0014639: Tax payment process does not work if not exists a "tax register type" with a document type

Descriptionif the configuration of tax register type, in lines, the record has not selected a document type, the tax payment process does not generate any line
Steps To Reproduce. Sales Management || Transactions || Sales Invoice || Header
 new record:
   business partner: mc Giver
   date: 21/09/2010
   organization: main
   document type: AR invoice

. Sales Management || Transactions || Sales Invoice || Lines
 new record:
   product: hammer
   tax: vat 16%

 complete and post the invoice

.Financial Management || Receivables & Payables || Setup || Tax Register Type || Header
 new record:
   register name: test
.Financial Management || Receivables & Payables || Setup || Tax Register Type || Lines
  new record:
   Tax: Vat 16%
   Document type: void

. Financial Management || Receivables & Payables || Transactions || Tax Payment || Header
  new reocrd:
   name: test
   date from: 01/09/2010
   date to: 30/09/2010

run Create Vat Register
 Tax register header is created, but the lines are not created
Proposed SolutionMake the document type mandatory
TagsVMA-Reviewed
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0047925)
vmromanos (developer)
2012-04-24 16:43

This fix must not include any API change.
We should validate that all the configuration lines have a document type !=null when launching the process (Create Vat Register).
In case any of the tax register type has a document type equals to null, we should stop the process and raise a descriptive error to the user.
(0047960)
naiaramartinez (developer)
2012-04-25 12:45

Test Plan:
 Go to Sales invoice window.
 Create a header.
     Organization: F&B, Inc.
     Transaction document: US AR Invoice
     Invoice date: 25/04/2012
     Save it.
 Create a new line and save it.
 Complete and post the invoice.

 Go to Tax Register Type.
 Create new record.
    Organization: F&B, Inc.
    Sales Transaction: Yes
 Create new line.
    Tax: select the same tax as the created invoice line had.
    Document type: blank.

 Go to Tax Payment.
 Create new record.
    Organization: F&B, Inc.
    Starting date: 24/04/2012
    Ending date: 29/04/2012

  Press 'Create Vat Registers' button. Notice that the following error is shown: Document types are missing in tax register type's definition.

  Go back to Tax Register Type window. Select previously created record, and go to lines tab.
  Edit the line and add 'US AR Invoice' document type.

  Go back to Tax Payment window and press the button. Notice that the process is completed successfully.
(0048213)
hgbot (developer)
2012-05-02 09:23

Repository: erp/devel/pi
Changeset: 40307f9cd8c788b842bf2eef55207ebb79cdf2c8
Author: Naiara Martinez <naiara.martinez <at> openbravo.com>
Date: Wed Apr 25 12:31:23 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/40307f9cd8c788b842bf2eef55207ebb79cdf2c8 [^]

fixed bug 14639 check if tax register types have document type
This validation is done in Create Vat Register process.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateVatRegisters.java
---
(0048226)
hgbot (developer)
2012-05-02 12:02

Repository: erp/devel/pi
Changeset: 55bc229acfedfc8caf2f201d2a6c19e7e0113d68
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Wed May 02 11:59:57 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/55bc229acfedfc8caf2f201d2a6c19e7e0113d68 [^]

Related to issue 14639: code review

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateVatRegisters.java
---
(0048249)
mirurita (developer)
2012-05-02 18:37

code review + testing OK
(0048932)
hudsonbot (developer)
2012-05-25 12:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0048940)
hudsonbot (developer)
2012-05-25 12:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2010-09-21 19:05 networkb New Issue
2010-09-21 19:05 networkb Assigned To => dalsasua
2010-11-16 13:11 dalsasua Status new => feedback
2010-11-16 13:19 malsasua Status feedback => new
2010-11-23 15:16 dalsasua Proposed Solution updated
2011-07-20 18:17 dalsasua Assigned To dalsasua => jonalegriaesarte
2011-09-18 17:26 psarobe Status new => scheduled
2011-09-18 17:26 psarobe fix_in_branch => pi
2012-02-15 19:04 iciordia Assigned To jonalegriaesarte => vmromanos
2012-02-16 16:23 vmromanos Tag Attached: VMA-Reviewed
2012-04-24 16:43 vmromanos Note Added: 0047925
2012-04-25 12:45 naiaramartinez Note Added: 0047960
2012-04-25 12:45 naiaramartinez Assigned To vmromanos => naiaramartinez
2012-05-02 09:23 hgbot Checkin
2012-05-02 09:23 hgbot Note Added: 0048213
2012-05-02 09:23 hgbot Status scheduled => resolved
2012-05-02 09:23 hgbot Resolution open => fixed
2012-05-02 09:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/40307f9cd8c788b842bf2eef55207ebb79cdf2c8 [^]
2012-05-02 12:02 hgbot Checkin
2012-05-02 12:02 hgbot Note Added: 0048226
2012-05-02 18:37 mirurita Note Added: 0048249
2012-05-02 18:37 mirurita Status resolved => closed
2012-05-02 18:37 mirurita Fixed in Version => 3.0MP12
2012-05-25 12:07 hudsonbot Checkin
2012-05-25 12:07 hudsonbot Note Added: 0048932
2012-05-25 12:07 hudsonbot Checkin
2012-05-25 12:07 hudsonbot Note Added: 0048940


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker